# List

Launch stage: GA

`GET /api/2.1/tag-policies`

Lists the tag policies for all governed tags in the account. For Terraform usage, see the [Tag Policy Terraform documentation](https://registry.terraform.io/providers/databricks/databricks/latest/docs/data-sources/tag_policies). To list granted permissions for tag policies, use the [Account Access Control Proxy API](https://docs.databricks.com/api/workspace/accountaccesscontrolproxy).

API scopes: tags

## Query parameters

- `page_size` (int32, optional)
  The maximum number of results to return in this request. Fewer results may be returned than requested. If 
   unspecified or set to 0, this defaults to 1000. The maximum value is 1000; values above 1000 will be coerced down 
   to 1000.
- `page_token` (string, optional)
  An optional page token received from a previous list tag policies call.

## Returns

Returns a list of TagPolicy objects.

## Response

```json
{
  "next_page_token": "eyJwYWdlX251bWJlciI6Mn0=",
  "tag_policies": [
    {
      "create_time": "2025-01-01T10:00:00Z",
      "description": "Identifies the sensitivity level of the data for compliance purposes.",
      "id": "12345678-abcd-4ef5-9012-3456789abcde",
      "tag_key": "sensitivity_level",
      "update_time": "2025-01-01T10:00:00Z",
      "values": [
        {
          "name": "public"
        },
        {
          "name": "internal"
        },
        {
          "name": "confidential"
        },
        {
          "name": "restricted"
        }
      ]
    },
    {
      "create_time": "2025-01-01T09:30:00Z",
      "description": "Specifies data retention policy requirements.",
      "id": "abcdef12-3456-7890-abcd-ef1234567890",
      "tag_key": "data_retention",
      "update_time": "2025-01-01T09:45:15Z",
      "values": [
        {
          "name": "30_days"
        },
        {
          "name": "1_year"
        },
        {
          "name": "7_years"
        },
        {
          "name": "indefinite"
        }
      ]
    }
  ]
}
```

